declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    maxTagCount: {
        readonly type: import("vue").PropType<number>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    maxTagTextLength: {
        readonly type: import("vue").PropType<number>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
}>, {
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
        maxTagCount: {
            readonly type: import("vue").PropType<number>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        maxTagTextLength: {
            readonly type: import("vue").PropType<number>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
    }>> & Readonly<{}> & {}>;
    attrs: import("vue").Attrs;
    selectRef: import("vue").Ref<any, any>;
    getMaxTagCount: import("vue").ComputedRef<number>;
    getMaxTagTextLength: import("vue").ComputedRef<number>;
    focus: () => void;
    blur: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    maxTagCount: {
        readonly type: import("vue").PropType<number>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    maxTagTextLength: {
        readonly type: import("vue").PropType<number>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
}>> & Readonly<{}>, {
    isGray: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
